//+------------------------------------------------------------------+
//|                                   SpielersHedge oClosePrices.mq4 |
//|                                            2008.07.13, SwingMan |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright " 2008.07.13, SwingMan"
#property link      "m"

#property indicator_separate_window

#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Green

//---- inputs --------------------------------------------------------
extern string Pair1 = "EURUSD";
extern string Pair2 = "USDCHF";
//--------------------------------------------------------------------

double Line1[], Line2[];

//---------------------------------------------------------------------------------|
//                                                                                 |
//---------------------------------------------------------------------------------|
int init()
{
   SetIndexBuffer(0,Line1); SetIndexLabel(0,"Close "+ Pair1); SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(1,Line2); SetIndexLabel(1,"Close "+ Pair2); SetIndexStyle(1,DRAW_LINE);

   IndicatorShortName("SpielersHedge oClosePrices  ");
   return(0);
}

//---------------------------------------------------------------------------------|
//                                                                                 |
//---------------------------------------------------------------------------------|
int deinit()
{
   return(0);
}

//---------------------------------------------------------------------------------|
//                                                                                 |
//---------------------------------------------------------------------------------|
int start() 
{  
   int counted_bars = IndicatorCounted();
   int i, limit;
   
   if (counted_bars < 0) return(-1);
   if (counted_bars > 0) counted_bars--;
   limit=Bars - counted_bars;
  
   for (i=limit;i>=0;i--)
   {  
      Line1[i] = iClose(Pair1, 0, i);
      Line2[i] = iClose(Pair2, 0, i);
   }
   return(0);
}